> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://developers.awork.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://developers.awork.com/_mcp/server.

# Returns the task statuses for private tasks for the specified user.

GET https://api.awork.com/api/v1/users/{userId}/privatetasks/taskstatuses

Any authenticated user.

Reference: https://developers.awork.com/apiv1/private-tasks/get-my-private-task-statuses

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Request

### Path parameters

- `userId` (string, required) — The id of the user.

### Query parameters

- `page` (integer, optional, default: 1) — Page number for pagination
- `pageSize` (integer, optional, default: 10) — Number of items per page
- `orderby` (string, optional) — The properties to order by
- `filterby` (string, optional) — The filter expression to filter by

## Response

### 200

OK

- `list of TaskStatus`

## Types

### TaskStatus

- `id` (string, optional) — The primary identifier of this task status.
- `name` (string, optional, nullable) — The name of the task status.
- `type` (string, optional, nullable) — Of what general type is this task status?.
- `order` (double, optional, nullable) — The order of the task status in a project.
- `icon` (string, optional, nullable) — The icon of the task status.
- `projectId` (string, optional, nullable) — Is set if the task status is related to a project.
- `projectTypeId` (string, optional, nullable) — Is set if the task status is related to a project type.
- `workflowId` (string, optional, nullable) — Is set if the task status is related to a workflow.
- `createdOn` (string, optional) — The date this entity was created.
- `createdBy` (string, optional) — The id of the user who created this entity.
- `updatedOn` (string, optional) — The date this entity was last modified.
- `updatedBy` (string, optional) — The id of the user who last modified this entity.
- `isExternal` (boolean, optional) — True if the task status is coming from an external workspace (awork Connect).

## Examples

**Response**

```json
[
  {
    "id": "123e4567-e89b-12d3-a456-426614174000",
    "name": "Conceptualize",
    "type": "progress",
    "order": 2,
    "icon": "arrow_forward",
    "projectId": "123e4567-e89b-12d3-a456-426614174000",
    "projectTypeId": "123e4567-e89b-12d3-a456-426614174000",
    "workflowId": "123e4567-e89b-12d3-a456-426614174000",
    "createdOn": "2022-03-{10}T15:51:58.100Z",
    "createdBy": "123e4567-e89b-12d3-a456-426614174000",
    "updatedOn": "2022-03-10T16:15:26.100Z",
    "updatedBy": "123e4567-e89b-12d3-a456-426614174000",
    "isExternal": true
  }
]
```

**SDK Code**

```python
import requests

url = "https://api.awork.com/api/v1/users/userId/privatetasks/taskstatuses"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.awork.com/api/v1/users/userId/privatetasks/taskstatuses';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.awork.com/api/v1/users/userId/privatetasks/taskstatuses"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.awork.com/api/v1/users/userId/privatetasks/taskstatuses")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.awork.com/api/v1/users/userId/privatetasks/taskstatuses")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.awork.com/api/v1/users/userId/privatetasks/taskstatuses', [
  'headers' => [
    'Authorization' => 'Bearer <token>',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.awork.com/api/v1/users/userId/privatetasks/taskstatuses");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["Authorization": "Bearer <token>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.awork.com/api/v1/users/userId/privatetasks/taskstatuses")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```